import request from '@/config/axios'

export interface HttpTokenVO {
  id: string
  loginUrl: string,
  clientId: string,
  clientSecret: string,
  username: string,
  password: string,
  refreshFreq: string,
  token: string,
}

export interface HttpTokenPageReqVO extends PageParam {
  loginUrl?: string
}

// 查询HttpToken列表
export const getHttpTokenPage = (params: HttpTokenPageReqVO) => {
  return request.get({ url: '/data/channel/http/token/page', params })
}

// 查询HttpToken列表
export const getHttpTokenList = () => {
  return request.get({ url: '/data/channel/http/token/list'})
}

// 查询HttpToken详情
export const getHttpToken = (id: number) => {
  return request.get({ url: `/data/channel/http/token/info/${id}`})
}

// 新增HttpToken
export const createHttpToken = (data: HttpTokenVO) => {
  return request.post({ url: '/data/channel/http/token/create', data })
}

// 修改HttpToken
export const updateHttpToken = (data: HttpTokenVO) => {
  return request.put({ url: '/data/channel/http/token/update', data })
}

// 删除HttpToken
export const deleteHttpToken = (id: number) => {
  return request.delete({ url: '/data/channel/http/token/delete?id=' + id })
}
